%define upstream_name    Sphinx-Config
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Sphinx search engine configuration file read/modify/write
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JJ/JJSCHUTZ/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl-Test-Pod-Coverage
BuildArch:  noarch

%description
Sphinx search engine configuration file read/modify/write.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Sphinx/Config.pm
%attr(0644,root,root) %{_mandir}/man3/Sphinx::Config.3pm*

%changelog
* Thu Mar 24 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 76661
- update to 0.09

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 14583
- imported package perl-Sphinx-Config


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 622889
- update to new version 0.08

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 410706
- adding missing buildrequires:
- update to 0.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404393
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2009.0
+ Revision: 258357
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2009.0
+ Revision: 246419
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
+ Revision: 104412
- import perl-Sphinx-Config


* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
- initial Mandriva package 
